
using Microsoft.AspNetCore.Mvc;

namespace APIWithControllers.Controllers;

[ApiController]
[Route("[controller]")]
public class HomeController : ControllerBase 	{
    	private readonly ILogger _logger;
    	
		public HomeController(ILogger<HomeController> logger){
        		_logger = logger;
    	}

    [HttpGet]
   	 public IActionResult Index() {
        	_logger.LogInformation("Index page visited at {DT}", DateTime.UtcNow.ToLongTimeString());
        	return Content("Index page visited...");
    	}
    
        [HttpGet("{id}")]
    	public IActionResult About() {
        		_logger.LogInformation("About page visited at {DT}", DateTime.UtcNow.ToLongTimeString());
       	        return Content("About page visited...");
    	}
}
